#ifndef _area_business_person_dwell_checker_hpp_
#define _area_business_person_dwell_checker_hpp_

#include"area_business.h"

/*
	判断当前区域a中的人卡停留时间
	人员进入区域时间存储在area_hover对象中,在当前类on_enter/on_leave中进行更新
	人员&车辆的代码重用，请自行设计
*/
struct area_business_person_dwell_checker:area_business
{
	int area_business_type()
	{
		return 2;
	}
	//进入区域，记录进入时间
	void on_enter(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data>&ptr);
	//判断是否超时
	void on_hover(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data> ptr);
	//如果有超时告警，取消超时告警
	void on_leave(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data> ptr);
};


#endif

